Cyberduck Mountain Duck CLI

#7643 closed defect (fixed)

Remote editing with macvim

Reported by: radome Owned by: dkocher
Priority: high Milestone: 4.4.3
Component: sftp Version: 4.4.2
Severity: major Keywords: remote, editing, macvim, sftp
Cc: Architecture: Intel
Platform: Mac OS X 10.7

Description (last modified by radome)

After opening and editing a remote file with macvim, cyberduck uploads it autimatically when writing (saving) a change, even if the connection were lost cyberduck would reconnect and upload the file (overriding the old version on the remote). However now when it loose the connection it would get stuck on "Prepare <filename>" and then raise the error SSH_FXP_STAT. The file will be correctly uploaded when clicking on Try Again in the error box.

Attachments (1)

Screen Shot 2013-11-26 at 11.52.50 PM.JPG (72.7 KB) - added by radome on Nov 27, 2013 at 7:47:34 AM.

Download all attachments as: .zip

Change History (8)

comment:1 Changed on Nov 27, 2013 at 7:50:16 AM by radome

  • Description modified (diff)

comment:2 Changed on Nov 27, 2013 at 7:56:42 AM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

You can workaround this by setting Preferences → Connection → Timeouts → REpeat failed networking tasks.

comment:3 Changed on Nov 27, 2013 at 7:59:43 AM by radome

It was already set...

comment:4 Changed on Nov 27, 2013 at 8:04:09 AM by radome

  • Resolution worksforme deleted
  • Status changed from closed to reopened

comment:5 Changed on Nov 27, 2013 at 8:16:56 AM by radome

Oh, and it gets stuck when refreshing the directory listing as well. You have to wait for it to display a blank window and then hit refresh again to reconnect.

comment:6 Changed on Nov 27, 2013 at 3:03:47 PM by dkocher

  • Milestone set to 4.5

This was supposed to be fixed. Previously in #6781.

comment:7 Changed on Nov 28, 2013 at 10:12:09 AM by dkocher

  • Milestone changed from 4.5 to 4.4.3
  • Resolution set to fixed
  • Status changed from reopened to closed

In r14136.

Note: See TracTickets for help on using tickets.
swiss made software